import java.applet.*;
import java.util.Stack;
import java.awt.*;

public class viewApplet extends Applet {
	Stack image;
	int currentImage = -1;
	
	public void init() {
		setLayout(new BorderLayout(0, 0));
		image = new Stack();
		int i = 0;
		String im = getParameter("image" + i);
		while (im != null) {
			// System.out.println("Getting image" + i);
			Image p = this.getImage(this.getDocumentBase(), im);
			image.push(p);
			i++;
			im = getParameter("image" + i);
		}
		if (image.size() > 0) {
			currentImage = 0;
		} else currentImage = -1;
	}
	
	public void paint(Graphics g) {
		if (currentImage >= 0) {
			// System.out.println("Displaying image" + currentImage);
			Image im = (Image) image.elementAt(currentImage);
			int h = im.getHeight(this);
			int w = im.getWidth(this);
			// System.out.println("w, h = " + w + ", " + h);
			int H = bounds().height;
			int W = bounds().width;
			// System.out.println("W, H = " + W + ", " + H);
			// System.out.println("dw, dh = " + W + ", " + H);
			g.drawImage(im, (W - w)/2, (H - h)/2, this);
		}
	}
	
	public void destroy() {
		for (int i=0;i<image.size();i++) {
			((Image) image.elementAt(i)).flush();
		}
	}
	
	public boolean mouseUp(Event e, int x, int y) {
		// System.out.println("x, y = " + x + ", " + y);
		if (x > bounds().width/2) {
			currentImage++;
			if (currentImage < image.size()) {
			} else currentImage--;
			repaint();
		} else {
			currentImage--;
			if (currentImage < 0) currentImage++;
			repaint();
		}
		return(super.mouseUp(e, x, y));
	}
}